<?php
/*
+---------------------------------------------------------------+
|        Gold Present for e107 v7xx - by Father Barry
|
|        This module for the e107 .7+ website system
|        Copyright Barry Keal 2004-2009
|
|        Released under the terms and conditions of the
|        GNU General Public License (http://gnu.org).
|
+---------------------------------------------------------------+
*/
require_once('../../class2.php');
if (!defined('e107_INIT'))
{
    exit;
}

include_lan(e_PLUGIN . "gold_present/languages/" . e_LANGUAGE . "_gold_present.php");
if (substr($pref['plug_installed']['gold_system'], 0, 1) < 4)
{
    // make sure gold system 4 active
    // if not then exit
    require_once(HEADERF);
    print GOLD_PRESSY_115;
    require_once(FOOTERF);
    exit;
}
if (!is_object($gold_obj))
{
    // make sure gold object is available. e_module should have created it anyway
    require_once(e_PLUGIN . 'gold_system/includes/gold_class.php');
    $gold_obj = new gold;
}
if (!$gold_obj->plugin_active('gold_present'))
{
    // make sure presents are active in gold system
    require_once(HEADERF);
    print GOLD_PRESSY_116;
    require_once(FOOTERF);
    exit;
}
if (!is_object($gpressy_obj))
{
    // make sure the gold present object is created
    // e_module should have created it anyway
    require_once(e_PLUGIN . 'gold_present/includes/gold_pressy_class.php');
    $gpressy_obj = new gold_pressy;
}
require_once(HEADERF);

if (!defined('USER_WIDTH'))
{
    define(USER_WIDTH, 'width:100%;');
}
// use the template from the theme directory if it is available
if (file_exists(THEME . 'gold_pressy_template.php'))
{
    define(GPRESSY_THEME, THEME . 'gold_pressy_template.php');
}
else
{
    // otherwise use default
    define(GPRESSY_THEME, e_PLUGIN . 'gold_present/templates/gold_pressy_template.php');
}
// get the logo if available
if (file_exists(THEME . '/images/gold_pressy_logo.png'))
{
    // see if in theme directory
    define(GPRESSY_LOGO, THEME . '/images/gold_pressy_logo.png');
} elseif (file_exists(e_PLUGIN . 'gold_present/images/gold_pressy_logo.png'))
{
    // otherwise gold present directory
    define(GPRESSY_LOGO, e_PLUGIN . 'gold_present/images/gold_pressy_logo.png');
}
// get the theme
require_once(GPRESSY_THEME);

if (isset($_POST['gpressy_submit']))
{
    // do the deletions of presents
    foreach($_POST['gpressy_del'] as $value)
    {
        $sql->db_Delete('gold_present', 'gpressy_recipient_id=' . USERID . ' and gpresy_id=' . intval($value), false);
    }
    // $cache_cleartag = array('nq_gpressy_menu', 'gpressy_mylist');
    // $gpressy_obj->clear_cache($cache_cleartag);
    // to prevent refreshing the deletions go to main mypresents page.
    header("location:" . e_SELF);
}
// $cache_tag = 'gpressy_mylist';
// if ($cacheData = $e107cache->retrieve($cache_tag))
// {
// yes so display the present
// $gpressy_text = $cacheData;
// }
// else
// {
require_once(e_HANDLER . 'userclass_class.php');
if (!is_object($gpressy_conv))
{
    require_once(e_HANDLER . 'date_handler.php');
    $gpressy_conv = new convert;
}

require_once(e_HANDLER . 'file_class.php');
$gpressy_fclass = new e_file;

require_once(e_PLUGIN . 'gold_present/includes/gold_pressy_shortcodes.php');
// get all the presents
$gpressy_data = unserialize($GOLD_PRESSY_PREF['gpressy_pressies']);
// start of form to show all received presents
$gpressy_text = "
<form method='post' action='" . e_SELF . "' id='gpressy' onsubmit=\"return confirm('" . GOLD_PRESSY_133 . "')\" >";

$gpressy_text .= $tp->parsetemplate($GOLD_PRESSY_MODHEADER, true, $gpressy_shortcodes);
if ($sql->db_Select_gen('select p.*,u.user_name from #gold_present as p left join #user as u on gpressy_sender_id=user_id where gpressy_recipient_id = ' . USERID . ' order by p.gpressy_sent desc', false))
{
    // select all presents for this user.
    while ($gpressy_row = $sql->db_Fetch())
    {
        extract($gpressy_row);
        if (!empty($gpressy_present) && is_readable(e_PLUGIN . 'gold_present/presents/' . $gpressy_present . '/present.php'))
        {
            // there is a present and it's readable
            require(e_PLUGIN . 'gold_present/presents/' . $gpressy_present . '/present.php');
            $gpressy_pic = '<img src="' . e_PLUGIN . 'gold_present/presents/' . $gpressy_present . '/' . $gpresent[$gpressy_present]['icon_16'] . '" style="border:0px" alt="" title="" />';
            $gpressy_from = $tp->toHTML($user_name,false);
            $gpressy_sentdate = $gpressy_conv->convert_date($gpressy_sent, 'short');
            $gpressy_com = $tp->toHTML($gpressy_comment);
            $gpressy_del = '<input type="checkbox" class="tbox" name="gpressy_del[' . $gpresy_id . ']" value="' . $gpresy_id . '" />';
            $gpressy_text .= $tp->parsetemplate($GOLD_PRESSY_MODDETAIL, true, $gpressy_shortcodes);
        }
    }
}
$gpressy_text .= $tp->parsetemplate($GOLD_PRESSY_MODFOOTER, true, $gpressy_shortcodes);
$gpressy_text .= '</form>';
// $e107cache->set($cache_tag, $gpressy_text); // Save to cache
// }
$ns->tablerender(GOLD_PRESSY_MOD06, $gpressy_text , 'gpressy_mypressy');
require_once(FOOTERF);
